Package org.eclipse.gef.zest.fx.parts

# Class EdgePart

java.lang.Object
org.eclipse.gef.mvc.fx.parts.AbstractVisualPart<V>
org.eclipse.gef.mvc.fx.parts.AbstractContentPart<Connection>
org.eclipse.gef.zest.fx.parts.EdgePart

All Implemented Interfaces:
  `IActivatable`, `IAdaptable`, `IAdaptable.Bound<IViewer>`, `IDisposable`, `IBendableContentPart<Connection>`, `IContentPart<Connection>`, `IResizableContentPart<Connection>`, `ITransformableContentPart<Connection>`, `IVisualPart<Connection>`

public class EdgePart extends AbstractContentPart<Connection> implements IBendableContentPart<Connection>
The `EdgePart` is the controller for an `Edge` content object. It uses `Connection` for the visualization.

## Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.parts.AbstractContentPart

`contentAnchoragesUnmodifiable, contentChildrenUnmodifiable, content`

### Properties inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`active, adaptable, adapters, anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.common.activate.IActivatable

`active`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adapters`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`contentAnchoragesUnmodifiable, contentChildrenUnmodifiable, content`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Nested classes/interfaces inherited from interface org.eclipse.gef.mvc.fx.parts.IBendableContentPart

`IBendableContentPart.BendPoint`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CSS_CLASS`
The CSS class that is assigned to the visual of this `EdgePart`.
`static final String`
`CSS_CLASS_CURVE`
The CSS class that is assigned to the `curve node` of the `Connection` of this `EdgePart`.
`static final String`
`CSS_CLASS_DECORATION`
CSS class assigned to the decorations.

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IBendableContentPart

`CONTROL_ROLE_PREFIX, SOURCE_ROLE, TARGET_ROLE`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`CONTENT_ANCHORAGES_PROPERTY, CONTENT_CHILDREN_PROPERTY, CONTENT_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.ITransformableContentPart

`TRANSFORM_PROVIDER_KEY, TRANSFORM_PROVIDER_ROLE`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`EdgePart()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doActivate()`
`protected void`
`doAddChildVisual(IVisualPart<? extends javafx.scene.Node> child, int index)`
`protected void`
`doAttachToAnchorageVisual(IVisualPart<? extends javafx.scene.Node> anchorage, String role)`
`protected void`
`doAttachToContentAnchorage(Object contentAnchorage, String role)`
`protected Connection`
`doCreateVisual()`
`protected void`
`doDeactivate()`
`protected void`
`doDetachFromAnchorageVisual(IVisualPart<? extends javafx.scene.Node> anchorage, String role)`
`protected void`
`doDetachFromContentAnchorage(Object contentAnchorage, String role)`
`protected SetMultimap<? extends Object,String>`
`doGetContentAnchorages()`
`protected List<? extends Object>`
`doGetContentChildren()`
`protected void`
`doRefreshVisual(Connection visual)`
`protected void`
`doRemoveChildVisual(IVisualPart<? extends javafx.scene.Node> child, int index)`
`Edge`
`getContent()`
`List<IBendableContentPart.BendPoint>`
`getContentBendPoints()`
`javafx.scene.Node`
`getCurve()`
Returns the `Node` that displays the edge.
`protected void`
`refreshTooltip()`
Changes the tooltip of this `EdgePart` to the given value.
`void`
`setContentBendPoints(List<IBendableContentPart.BendPoint> bendPoints)`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractContentPart

`addContentChild, attachToContentAnchorage, contentAnchoragesUnmodifiableProperty, contentChildrenUnmodifiableProperty, contentProperty, detachFromContentAnchorage, doAddContentChild, doRemoveContentChild, doReorderContentChild, getContentAnchoragesUnmodifiable, getContentChildrenUnmodifiable, isFocusable, isSelectable, refreshContentAnchorages, refreshContentChildren, register, registerAtContentPartMap, removeContentChild, reorderContentChild, setContent, unregister, unregisterFromContentPartMap`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`activate, activateAdapters, activateChildren, activeProperty, adaptableProperty, adaptersProperty, addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, deactivate, deactivateAdapters, deactivateChildren, detachAnchored, detachFromAnchorage, detachFromAnchorage, determineViewer, dispose, getAdaptable, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getVisual, isActive, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, registerAtVisualPartMap, removeChild, removeChildren, reorderChild, setAdaptable, setAdapter, setAdapter, setAdapter, setAdapter, setParent, setRefreshVisual, unregisterFromVisualPartMap, unsetAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IBendableContentPart

`getBendableVisual, getContentSize, getContentTransform, getRole, getVisualBendPoints, getVisualSize, getVisualTransform, setContentSize, setContentTransform, setVisualBendPoints, setVisualSize, setVisualTransform`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`addContentChild, attachToContentAnchorage, contentAnchoragesUnmodifiableProperty, contentChildrenUnmodifiableProperty, contentProperty, detachFromContentAnchorage, getContentAnchoragesUnmodifiable, getContentChildrenUnmodifiable, isFocusable, isSelectable, refreshContentAnchorages, refreshContentChildren, removeContentChild, reorderContentChild, setContent`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

## Field Details

### CSS_CLASS

public static final String CSS_CLASS
The CSS class that is assigned to the visual of this `EdgePart`.

See Also:
  - Constant Field Values

### CSS_CLASS_CURVE

public static final String CSS_CLASS_CURVE
The CSS class that is assigned to the `curve node` of the `Connection` of this `EdgePart`.

See Also:
  - Constant Field Values

### CSS_CLASS_DECORATION

public static final String CSS_CLASS_DECORATION
CSS class assigned to the decorations.

See Also:
  - Constant Field Values

## Constructor Details

### EdgePart

public EdgePart()

## Method Details

### doActivate

protected void doActivate()

Overrides:
  `doActivate` in class `AbstractVisualPart<Connection>`

### doAddChildVisual

protected void doAddChildVisual(IVisualPart<? extends javafx.scene.Node> child, int index)

Overrides:
  `doAddChildVisual` in class `AbstractVisualPart<Connection>`

### doAttachToAnchorageVisual

protected void doAttachToAnchorageVisual(IVisualPart<? extends javafx.scene.Node> anchorage, String role)

Overrides:
  `doAttachToAnchorageVisual` in class `AbstractVisualPart<Connection>`

### doAttachToContentAnchorage

protected void doAttachToContentAnchorage(Object contentAnchorage, String role)

Overrides:
  `doAttachToContentAnchorage` in class `AbstractContentPart<Connection>`

### doCreateVisual

protected Connection doCreateVisual()

Specified by:
  `doCreateVisual` in class `AbstractVisualPart<Connection>`

### doDeactivate

protected void doDeactivate()

Overrides:
  `doDeactivate` in class `AbstractVisualPart<Connection>`

### doDetachFromAnchorageVisual

protected void doDetachFromAnchorageVisual(IVisualPart<? extends javafx.scene.Node> anchorage, String role)

Overrides:
  `doDetachFromAnchorageVisual` in class `AbstractVisualPart<Connection>`

### doDetachFromContentAnchorage

protected void doDetachFromContentAnchorage(Object contentAnchorage, String role)

Overrides:
  `doDetachFromContentAnchorage` in class `AbstractContentPart<Connection>`

### doGetContentAnchorages

protected SetMultimap<? extends Object,String> doGetContentAnchorages()

Specified by:
  `doGetContentAnchorages` in class `AbstractContentPart<Connection>`

### doGetContentChildren

protected List<? extends Object> doGetContentChildren()

Specified by:
  `doGetContentChildren` in class `AbstractContentPart<Connection>`

### doRefreshVisual

protected void doRefreshVisual(Connection visual)

Specified by:
  `doRefreshVisual` in class `AbstractVisualPart<Connection>`

### doRemoveChildVisual

protected void doRemoveChildVisual(IVisualPart<? extends javafx.scene.Node> child, int index)

Overrides:
  `doRemoveChildVisual` in class `AbstractVisualPart<Connection>`

### getContent

public Edge getContent()

Specified by:
  `getContent` in interface `IContentPart<Connection>`
Overrides:
  `getContent` in class `AbstractContentPart<Connection>`

### getContentBendPoints

public List<IBendableContentPart.BendPoint> getContentBendPoints()

Specified by:
  `getContentBendPoints` in interface `IBendableContentPart<Connection>`

### getCurve

public javafx.scene.Node getCurve()
Returns the `Node` that displays the edge.

Returns:
  The `Node` used to display the edge.

### refreshTooltip

protected void refreshTooltip()
Changes the tooltip of this `EdgePart` to the given value.

Since:
  5.1

### setContentBendPoints

public void setContentBendPoints(List<IBendableContentPart.BendPoint> bendPoints)

Specified by:
  `setContentBendPoints` in interface `IBendableContentPart<Connection>`